package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.PersonPhoneBook;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface PersonPhoneBookDAO {
	int insert(PersonPhoneBook entity);
	int update(PersonPhoneBook entity);
	int exist(String id);
	PersonPhoneBook get(String id);
	int delete(String id);
	List<PersonPhoneBook> list();
	List<PersonPhoneBook> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<PersonPhoneBook> findByPersonIdAndUrgent(Long personId,Boolean urgentStatus);
}